PlatformUnsuportedException on IIS 7

Topics: ASP.NET Web API
Jan 23, 2014 at 11:56 AM

I've just updated web api from 2.0 to latest 2.1 version and now I'm having on production server. [PlatformNotSupportedException]: This operation requires IIS version 7.5 or higher running in integrated pipeline mode. at System.Web.HttpResponse.get_ClientDisconnectedToken()

I would to see documentation where is this breaking change described and understand why IIS less than 7.5 is not supported any more.
Jan 23, 2014 at 4:04 PM
Looks like this is a bug on our side - we should check the IIS version before calling this API. We are working on getting this addressed.

Thank you for bringing this issue to our attention.

Daniel Roth
Jan 23, 2014 at 4:28 PM